Name:           domino-chain
Version:        1.1
Release:        2%{?dist}
Summary:        Fun puzzle game with dominoes

License:        GPLv3 
URL:            https://domino-chain.gitlab.io/
Source0:        https://gitlab.com/%{name}/%{name}.gitlab.io/-/archive/%{version}/%{name}.gitlab.io-%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  boost-devel
BuildRequires:  boost-filesystem
BuildRequires:  boost-system
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_image-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  SDL2_ttf-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  lua-devel
BuildRequires:  fribidi-devel
BuildRequires:  gettext
BuildRequires:  povray
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       hicolor-icon-theme
Requires:       gnu-free-sans-fonts


%description
Rearrange the dominoes on the different platforms so that you can start a 
chain reaction that makes all dominoes topple over.


%prep
%autosetup -n %{name}.gitlab.io-%{version}

# Fix Makefile
sed -i 's/CXXFLAGS = -Wall -Wextra -g -O2/CXXFLAGS +=/' Makefile
sed -i '/LDFLAGS =/d' Makefile
sed -i '/data\/fonts\/FreeSans\.ttf\:/{n;n;N;N;N;N;d}' Makefile


%build
%set_build_flags
%make_build


%install
%make_install

# Symlink system font
mkdir -p %{buildroot}%{_datadir}/%{name}/data/fonts
ln -s %{_datadir}/fonts/gnu-free/FreeSans.ttf \
    %{buildroot}%{_datadir}/%{name}/data/fonts/FreeSans.ttf

# Verify AppData file
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man6/%{name}.6*
%doc %{_pkgdocdir}
%doc AUTHORS README.md
%license LICENSE 


%changelog
* Sat Sep 11 2021 Andrea Musuruane <musuruan@gmail.com> - 1.1-2
- Add make to BR

* Sat Jun 20 2020 Andrea Musuruane <musuruan@gmail.com> - 1.1-1
- Initial package

